package tag.matcherImplementations;

import link.LinkUrl;
import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertEquals;

class GitHubTagMatcherTest {

	@Test
	void gettingDescriptionWorks() {

		var sut = new GitHubTagMatcher();

		var tag = sut.ifMatches(new LinkUrl("https://github.com/filefighter/Webapp")).getTag().orElseThrow();

		assertEquals("Frontend Service for FileFighter", tag.getAdditionalData().orElseThrow());

	}
}
